Loading...
Searching...
No Matches
RetrieveResponse Class Reference

Base class representing for single C-GET or C-MOVE response. More...

Inheritance diagram for RetrieveResponse:

## Public Member Functions

| RetrieveResponse ()
| Standard constructor.
virtual | ~RetrieveResponse ()
| Destructor, cleans up internal memory.
void | print ()
| Prints response to INFO log level.
Public Member Functions inherited from QRResponse
| QRResponse ()
| Standard constructor.
virtual | ~QRResponse ()
| Destructor, cleans up internal memory (dataset if present).

## Public Attributes

Uint16 | m_numberOfRemainingSubops
| Number of remaining sub operations (in Q/R: C-STORE calls).
Uint16 | m_numberOfCompletedSubops
| Number of successfully completed sub operations (in Q/R: C-STORE calls).
Uint16 | m_numberOfFailedSubops
| Number of failed sub operations (in Q/R: C-STORE calls).
Uint16 | m_numberOfWarningSubops
| Number generated warnings generated by sub operations (in Q/R: C-STORE calls).
Public Attributes inherited from QRResponse
Uint16 | m_messageIDRespondedTo
| The message ID responded to (mandatory response field, equals message ID from request).
OFString | m_affectedSOPClassUID
| Optional response field according to part 7 of the standard.
DcmDataset * | m_dataset
| Conditional response field (NULL if absent).
Uint16 | m_status
| The returned DIMSE status (mandatory Response Field).
DcmDataset * | m_statusDetail
| Status detail (NULL if absent).

## Private Member Functions

| RetrieveResponse (const RetrieveResponse &other)
| Private undefined copy constructor.
RetrieveResponse & | operator= (const RetrieveResponse &other)
| Private undefined assignment operator.

## Detailed Description

Base class representing for single C-GET or C-MOVE response.

## Constructor & Destructor Documentation

## RetrieveResponse()

RetrieveResponse::RetrieveResponse | ( | const RetrieveResponse & | other | ) |

private

Private undefined copy constructor.

Parameters

  other | Response to copy from

References RetrieveResponse().

## Member Function Documentation

## operator=()

RetrieveResponse & RetrieveResponse::operator= | ( | const RetrieveResponse & | other | ) |

private

Private undefined assignment operator.

Parameters

  other | Response that should be assigned from

Returns
  Reference to this

References RetrieveResponse().

## Member Data Documentation

## m_numberOfCompletedSubops

Uint16 RetrieveResponse::m_numberOfCompletedSubops

Number of successfully completed sub operations (in Q/R: C-STORE calls).

For Q/R MOVE and GET, for status of pending this field shall be filled. For others, the field may be filled.

Referenced by RetrieveResponse().

## m_numberOfFailedSubops

Uint16 RetrieveResponse::m_numberOfFailedSubops

Number of failed sub operations (in Q/R: C-STORE calls).

For Q/R MOVE and GET, for status of pending this field shall be filled. For others, the field may be filled.

Referenced by RetrieveResponse().

## m_numberOfRemainingSubops

Uint16 RetrieveResponse::m_numberOfRemainingSubops

Number of remaining sub operations (in Q/R: C-STORE calls).

For Q/R MOVE and GET, for status of pending this field shall be filled. For others, the field may be filled.

Referenced by RetrieveResponse().

## m_numberOfWarningSubops

Uint16 RetrieveResponse::m_numberOfWarningSubops

Number generated warnings generated by sub operations (in Q/R: C-STORE calls).

For Q/R MOVE and GET, for status of pending this field shall be filled. For others, the field may be filled.

Referenced by RetrieveResponse().

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/scu.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0